Bug 65576 - rpc.mountd doesn't like IP addresses anymore
rpc.mountd doesn't like IP addresses anymore
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: nfs-utils (Show other bugs)
7.3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-27 17:03 EDT by Steve Ward
Modified: 2007-04-18 12:42 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-11-11 23:38:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Ward 2002-05-27 17:03:52 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.4.1) Gecko/20020508
Netscape6/6.2.3

Description of problem:
7.2's rpc.mountd allowed the use of IP address ranges in /etc/exports and did
the hostname lookup when the client requested a mount.  7.3's rpc.mountd will
not allow the mount unless the hostname is listed in /etc/exports.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.setup 7.3 system with exported NFS filesystems, use an IP address range (e.g.
192.168.1.*) in the /etc/exports file.
2. attempt to mount the filesystem from a 7.3 client using IP address.  hostname
of client is in /etc/hosts file of server.

	

Actual Results:  May 27 13:24:04 stevewa rpc.mountd: refused mount request from
pent3 for /home (/): no export entry 


Expected Results:  filesystem should have mounted

Additional info:
Comment 1 Pete Zaitcev 2002-11-11 23:38:47 EST
This is what the man page for exports says:

       IP networks
              You can also export directories to all hosts  on  an  IP  (sub‐)
              network simultaneously. This is done by specifying an IP address
              and netmask pair as address/netmask where  the  netmask  can  be
              specified  in  dotted‐decimal  format,  or  as a contiguous mask
              length (for example, either /255.255.252.0 or  /22  appended
              to the network base address result in identical subnetworks with
              10 bits of host). Wildcard characters generally do not  work  on
              IP  addresses, though they may work by accident when reverse DNS
              lookups fail.
Comment 2 Pete Zaitcev 2002-11-11 23:40:12 EST
If that makes you feel better, I have setup a box to reproduce it before
I turned to RTFM.

Note You need to log in before you can comment on or make changes to this bug.